Package twisted :: Package im :: Module gtkchat :: Class GroupConversation

[show private | hide private]
[frames | no frames]

## Class GroupConversation

    InputOutputWindow --+
                        |
                       GroupConversation

Method Summary
| `__init__(self, group)`
| `getCurrentWord(self, entry)` (inherited from `InputOutputWindow`)
| `getTitle(self)`
| `handle_key_press_event(self, entry, event)` (inherited from `InputOutputWindow`)
| `hidden(self, w)`
| `hide(self)` (inherited from `InputOutputWindow`)
| `historyDown(self)` (inherited from `InputOutputWindow`)
| `historyUp(self)` (inherited from `InputOutputWindow`)
| `memberChangedNick(self, member, newnick)`
| `memberJoined(self, member)`
| `memberLeft(self, member)`
| `on_AddContactButton_clicked(self, b)`
| `on_HideButton_clicked(self, b)`
| `on_LeaveButton_clicked(self, b)`
| `on_ParticipantList_select_row(self, w, row, column, event)`
| `on_ParticipantList_unselect_row(self, w, row, column, event)`
| `on_TopicEntry_activate(self, e)`
| `on_TopicEntry_focus_out_event(self, w, e)`
| `refreshMemberList(self)`
| `sendText(self, text)`
| `setGroupMembers(self, members)`
| `setTopic(self, topic, author)`
| `show(self)` (inherited from `InputOutputWindow`)
| `showGroupMessage(self, sender, text, metadata)`
| ``tabComplete`(self, word)` InputOutputWindow calls me when tab is pressed.
| `_cacheColorHash(self, name)`
| `_cbTextSent(self, result, text, metadata)`
| `_doGroupAction(self, evt, method)`
| `_doPersonAction(self, evt, method)`
| `_doTargetAction(self, evt, method, person)`

Method Details

### tabComplete(self, word)

InputOutputWindow calls me when tab is pressed.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net